Description

Hi there,

I updated redmine from 2.3.0 to 3.3.0. Now I met a problem, below are repro steps.

1. Create a new issue

2. Update the issue to another status, which has required field in my workflow configuration. The required field is List format

configured in Custom fields.

3. Choose a value in the list, save the issue successfully.

4. The filed value leaves empty after a success save.

Plus, I have some new findings. Let's call the custom field as Field-A, Field-A has three values a,b,c.

1. Set Field-A to a, save the issue.

2. The Field-A leaves empty.

3. Update the issue, set Field-A to b, save the issue.

4. The Field-A's value is successfully set to b

5. Update the issue, set Field-A to a (which is initially value in step 1), save the issue.

5. The Field-A's value is still b, but a is expected here.

If the initial value is b, the repeat steps 2-5, you will find the initial value can't be saved. But if you change the value of this field the

save the issue, it works well.

History

#1 - 2017-02-12 17:15 - Toshi MARUYAMA

Yao Li wrote:

Hi there,

I updated redmine from 2.3.0 to 3.3.0. Now I met a problem, below are repro steps.

1. Create a new issue

2. Update the issue to another status, which has required field in my workflow configuration. The required field is List format configured in

Custom fields.

3. Choose a value in the list, save the issue successfully.

4. The filed value leaves empty after a success save.

 I cannot reproduce on vanilla Redmine 3.3.2.

#2 - 2017-02-12 17:16 - Toshi MARUYAMA

- Status changed from New to Needs feedback

#3 - 2017-02-12 17:22 - Toshi MARUYAMA

Yao Li wrote:

Plus, I have some new findings. Let's call the custom field as Field-A, Field-A has three values a,b,c.

1. Set Field-A to a, save the issue.

2. The Field-A leaves empty.

3. Update the issue, set Field-A to b, save the issue.
4. The Field-A's value is successfully set to b

5. Update the issue, set Field-A to a (which is initially value in step 1), save the issue.

5. The Field-A's value is still b, but a is expected here.

 I cannot understand why a is expected.

#4 - 2017-02-13 03:26 - Yao Li

- File hzyhlzyy-33938.pdf added

Refer to step #5, I updated the field to a, so in the last step a is expected.

See attached pdf, search the field name "J离场时间" - you can see the field is saved many times but "J离场时间" field still remains empty.

#5 - 2017-02-13 16:36 - Toshi MARUYAMA

- Status changed from Needs feedback to Closed

- Resolution set to Invalid

You use plugins due to your #24995. Please contact plugin author.

Files

hzyhlzyy-33938.pdf 8.49 KB 2017-02-13 Yao Li
